Bug 1625527 (CVE-2018-12378) - CVE-2018-12378 Mozilla: Use-after-free in IndexedDB
Summary: CVE-2018-12378 Mozilla: Use-after-free in IndexedDB
Status: CLOSED ERRATA
Alias: CVE-2018-12378
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180905,repo...
Keywords: Security
Depends On: 1623040 1623016 1623017 1623037 1623039 1625533 1625535 1636821
Blocks: 1623023 1636820
TreeView+ depends on / blocked
 
Reported: 2018-09-05 07:14 UTC by Doran Moppert
Modified: 2018-11-05 11:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-05 11:49:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2692 None None None 2018-09-12 10:56 UTC
Red Hat Product Errata RHSA-2018:2693 None None None 2018-09-12 10:57 UTC
Red Hat Product Errata RHSA-2018:3403 None None None 2018-10-30 16:58 UTC
Red Hat Product Errata RHSA-2018:3458 None None None 2018-11-05 10:44 UTC

Description Doran Moppert 2018-09-05 07:14:43 UTC
A use-after-free vulnerability can occur when an index is deleted while still in use in IndexedDB by JavaScript code that is providing payload values to be stored. This results in a potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-21/#CVE-2018-12378

Comment 1 Doran Moppert 2018-09-05 07:14:48 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Zhanjia Song

Comment 4 errata-xmlrpc 2018-09-12 10:56:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2692 https://access.redhat.com/errata/RHSA-2018:2692

Comment 5 errata-xmlrpc 2018-09-12 10:57:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2693 https://access.redhat.com/errata/RHSA-2018:2693

Comment 7 Doran Moppert 2018-10-09 01:58:50 UTC
Statement:

This flaw cannot be exploited through email in Thunderbird as scripting is disabled in this for email content. It may be possible to exploit through Feeds (Atom or RSS) or other browser-like contexts.

Comment 8 errata-xmlrpc 2018-10-30 16:58:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3403 https://access.redhat.com/errata/RHSA-2018:3403

Comment 9 errata-xmlrpc 2018-11-05 10:44:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3458 https://access.redhat.com/errata/RHSA-2018:3458


Note You need to log in before you can comment on or make changes to this bug.